<!DOCTYPE html>
<html lang="en">

<head>
  <title>Your Serverless Cloud. Beautiful.</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
  <style>
    .footer {
      position: absolute;
      bottom: 0;
      width: 620px;
      height: 45px;
      background-color: #f5f5f5;
      margin-bottom: 150px;
    }
  </style>
</head>

<body style="padding-top:100px">
  <div class="container" style="width:650px">
    <center><img width="350px" src="/assets/do.png"></center>
    <h2>Cloud-native by construction.<br />No tools added.</h2>
    <form id="myform" onsubmit="generate(); return false">
      <div class="form-group">
        <input id="mytext" class="form-control" style="float:left;width:85%;" type="text" name="text" maxlength="1024"
          placeholder="enter text here and click Translate" value="" />
          <button id="mysubmitjs" type="button" class="btn btn-primary" style="margin-top:5px;">Translate (Node API)</button>
      </div>
      <div style=" margin:auto" id="myresult">
      </div>
    </form>
  </div>

  <script type="text/javascript">
    var last = undefined
    var FUNCTION_API_URL = "/sample-functions-nodejs-qrcode2";
    var envAPI = undefined

    $("#mysubmitjs").click(function () {
      envAPI = '/qr/qr'
      doit()
    })

    function doit() {
      var txt = $("#mytext").val().trim()
      if (last != txt) {
        last = txt
        let API = FUNCTION_API_URL + envAPI
        let src = API + '?text=' + escape(txt)
        console.log("sending", src)
        $.get(src, function (data, status) {
          console.log("status", status)
          $("#myresult").html('<img width="200" style="display:block; margin:auto;padding-top:10px" src="' + data + '" />')
        })
      }
    }
  </script>
</body>

</html>
